<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Bank Account Txn</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:96%;
			margin:0 2%;
			padding:5px 10px;
		}
		.div1 input, .div1 select{
			height:40px;
			max-width:160px;
			font-size:14px;
			padding:5px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			height:450px;
			float:left;
			text-align:center;
			padding:5px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:13px;
			border-collapse:collapse;
			padding:2px 5px;
			margin:1%;
		}
        .div2 table tr:nth-child(odd){background:#f6f0e8;}
        .div2 table tr:nth-child(even){background:white; }
		table th{
			background:#6b5127;
			color:white;
			height:35px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			height:30px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
        .div2 table tr:hover{background:gray; color:white;}
		#inpNum, #lapuValue, #value1, #value2{display:none;}
		#analysisData{margin-left:2%;}
		#analysisData table td{padding:2px 5px;}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input,.div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content" id="contentDiv">
			<div class="head">
				<div class="title"><i class="fa fa-bars" onclick="hideMenu()" style="float:left; margin:10px;"></i><p>Bank Account Txn :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function hideMenu()
			        {
			            if(document.getElementById("navHide").style.display!="none")
			            {
			                document.getElementById("navHide").style.display = "none";
			                document.getElementById("contentDiv").style.width = "100%";
			            }
			            else
			            {
			                document.getElementById("navHide").style.display = "inline";
			                document.getElementById("contentDiv").style.width = "82%";
			            }
			        }
			        
			        
			      
			    </script>
			    <?php
			        $BankId=$_GET['BankId'];
			        
			                    $opBal=0;
			                    $clBal=0;
			                    $quUpdate="SELECT Id,Txn,Balance FROM Bank_Account_Txn WHERE Bank_Id='$BankId'";
			                    $reUpdate=mysqli_query($con,$quUpdate);
			                    while($dataUpdate=mysqli_fetch_array($reUpdate))
			                    {
			                        $Id=$dataUpdate['Id'];
			                        $txn=abs($dataUpdate['Txn']);
			                        if($dataUpdate['Txn']<0)
			                        {
			                            $clBal=$clBal-$txn;
			                        }
			                        else
			                        {
			                            $clBal=$clBal+$txn;
			                        }
			                        
			                        $updateTxn="UPDATE Bank_Account_Txn SET OpeningBal='$opBal', Balance='$clBal' WHERE Id='$Id'";
			                        mysqli_query($con,$updateTxn);
			                        
			                        $opBal = $clBal;
			                    }
								
								
			        
			        
			        if(isset($_POST['submit']))
			        {
			            $fDateValue=$_POST['fdate'];
			            $lDateValue=$_POST['ldate'];
			        }
			        else
			        {
			            $fDateValue=$date;
			            $lDateValue=$date;
			        }
			    ?>
				<form method="post">
					<div class="div1">
						<input type="date" name="fdate" id="date1" value="<?php echo $fDateValue; ?>">
						<input type="date" name="ldate" id="date2" value="<?php echo $lDateValue; ?>">
		                <select name="TxnType" id="Diff">
		                    <option>ALL</option>
		                    <option>CREDIT</option>
		                    <option>DEBIT</option>
		                </select>
		                <select name="slType" id="Diff">
		                    <option>DESC</option>
		                    <option>ASC</option>
		                </select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Id</th>
							<th>Date Time</th>
							<th>B.Id</th>
							<th>Babk Name</th>
							<th>Op Bal</th>
							<th>Txn</th>
							<th>Cl. Bal</th>
							<th>Txn Id</th>
							<th>Bank Ref.</th>
							<th>Disc.</th>
							<th>Txn For</th>
						</tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								$TxnType = $_POST['TxnType'];
								$slType = $_POST['slType'];
								
								$BankId=$_GET['BankId'];
			                    $sl=0;
								    
								    if($slType=="DESC")
								    {
								        $orderBY="ORDER BY Id DESC";
								    }
								    else
								    {
								        $orderBY="ORDER BY Id ASC";
								    }
								    if($TxnType=="ALL")
								    {
								        $quPayment="SELECT * FROM Bank_Account_Txn WHERE Bank_Id='$BankId' AND Date>='$fdate' AND Date<='$ldate' $orderBY";
								    }
								    else
								    {
							            if($TxnType=="CREDIT")
								        {
								            $quPayment="SELECT * FROM Bank_Account_Txn WHERE Bank_Id='$BankId' AND Date>='$fdate' AND Date<='$ldate' AND Txn>0 $orderBY";
								        }
								        else
								        {
								            $quPayment="SELECT * FROM Bank_Account_Txn WHERE Bank_Id='$BankId' AND Date>='$fdate' AND Date<='$ldate' AND Txn<0 $orderBY";
								        }
								    }
							}
							else
							{
							    $quPayment="SELECT * FROM Bank_Account_Txn WHERE Bank_Id='$BankId' ORDER BY Id DESC LIMIT 0, 25";
							}
								$TotalDebit=0;
								$TotalCredit=0;
								$sl=0;
								$rePayment=mysqli_query($con,$quPayment);
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
								    $sl=$sl+1;
								    if($sl==1)
								    {
								        $opBal = $dataPayment['OpeningBal'];
								    }
									if($dataPayment['Txn']<0)
									{
										$color="red";
										$TotalDebit=$TotalDebit+abs($dataPayment['Txn']);
									}
									else
									{
										$color="green";
										$TotalCredit=$TotalCredit+$dataPayment['Txn'];
									}
									    echo"<tr>";
										    echo "<td>".$dataPayment['Id']."</td>";
							    			echo "<td>".$dataPayment['Date']." ".$dataPayment['Time']."</td>";
							    			echo "<td>".$dataPayment['Bank_Id']."</td>";
							    			echo "<td>".$dataPayment['Bank_Name']."</td>";
							    			echo "<td>".$dataPayment['OpeningBal']."</td>";
								    		echo "<td><p id='".$color."'>".$dataPayment['Txn']."</p></td>";
								    		echo "<td>".$dataPayment['Balance']."</td>";
									    	echo "<td>".$dataPayment['Txn_Id']."</td>";
									    	echo "<td>".$dataPayment['BankRefNo']."</td>";
									    	echo "<td>".$dataPayment['Disc']."</td>";
									    	echo "<td>".$dataPayment['Txn_For']."</td>";
									    echo"</tr>";
								}
							
									 $totalTxn = $TotalCredit - $TotalDebit;
							echo "<tr>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th style='background:green; color:white'>".$TotalCredit."</th>";
							    echo "<th>".$totalTxn."</th>";
							    echo "<th style='background:red; color:white'>".$TotalDebit."</th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							echo "</tr>";
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>